AbstractMVCGroup (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractMVCGroup

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractMVCGroup

All Implemented Interfaces:
  MVCGroup

    public abstract class AbstractMVCGroup
    extends Object

Base implementation of the `MVCGroup` interface

Authors:
  Andres Almiray

Since:
  0.9.4

Field Summary
`private boolean` | `alive`
`protected GriffonApplication` | `app`
`protected MVCGroupConfiguration` | `configuration`
`private Object[]` | `lock`
`protected Map` | `members`
`protected String` | `mvcId`
`protected Map` | `scriptResults`

Constructor Summary
`AbstractMVCGroup(GriffonApplication app, MVCGroupConfiguration configuration, String mvcId, Map members)`

Method Summary
`void` | `buildScriptMember(String name)`
`protected void` | `checkIfAlive()`
`void` | `destroy()`
`GriffonApplication` | `getApp()`
`FactoryBuilderSupport` | `getBuilder()`
`MVCGroupConfiguration` | `getConfiguration()`
`GriffonController` | `getController()`
`Object` | `getMember(String name)`
`Map` | `getMembers()`
`GriffonModel` | `getModel()`
`String` | `getMvcId()`
`String` | `getMvcType()`
`Object` | `getScriptResult(String name)`
`GriffonView` | `getView()`
`boolean` | `isAlive()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### alive

    private boolean alive

### app

    protected final GriffonApplication app

### configuration

    protected final MVCGroupConfiguration configuration

### lock

    private final Object[] lock

### members

    protected final Map members

### mvcId

    protected final String mvcId

### scriptResults

    protected final Map scriptResults

Constructor Detail

### AbstractMVCGroup

    public AbstractMVCGroup(GriffonApplication app, MVCGroupConfiguration configuration, String mvcId, Map members)

Method Detail

### buildScriptMember

    public void buildScriptMember(String name)

### checkIfAlive

    protected void checkIfAlive()

### destroy

    public void destroy()

### getApp

    public GriffonApplication getApp()

### getBuilder

    public FactoryBuilderSupport getBuilder()

### getConfiguration

    public MVCGroupConfiguration getConfiguration()

### getController

    public GriffonController getController()

### getMember

    public Object getMember(String name)

### getMembers

    public Map getMembers()

### getModel

    public GriffonModel getModel()

### getMvcId

    public String getMvcId()

### getMvcType

    public String getMvcType()

### getScriptResult

    public Object getScriptResult(String name)

### getView

    public GriffonView getView()

### isAlive

    public boolean isAlive()

Groovy Documentation